//******************************************
//  : main.c
// 汾     : V1.0
//      : 
// ע     : 
//******************************************
#ifndef	IO_MEM
#define	IO_MEM
#endif

#include "main.h"

/* ----------------------  ------------------------------ */





/* ----------------------  -------------------------------- */
void main()
{
	unsigned int delay = 0;
	P4CR_P3 = 1;
	while(1)
	{
		P4DR_P3 =! P4DR_P3;
		for(delay = 0;delay<65535;delay++) NOP;
	    NOP;
		NOP;
		NOP;
	}

}

/*---------------------- жϷ ------------------------*/
void __interrupt OnlyReti(void)
{
    NOP;                                // ָ
}

void __interrupt_n OnlyRetn(void)
{
    NOP;                                // ָ
}

void __interrupt_n IntWDT(void)
{
    NOP;                                // ָ
}

void __interrupt_n IntSWI(void)
{	
    SYSCR2 = 0x10;                      // system clock reset
}
/*-----------------  жϷ ------------------------*/



/*------------------------ MQ6835ж ------------------*/
/*=================================================================
  [ Define interrupt table ] This part must be rewrite.
  ================================================================*/
#pragma section const INT_VECTOR1
void * const IntTbl1[] = {
    OnlyReti,           // 0xffc0 : IntTCC0T
    OnlyReti,           // 0xffc2 : IntTCC0P
    OnlyReti,           // 0xffc4 : IntTC05
    OnlyReti,           // 0xffc6 : IntTC04
    OnlyReti,           // 0xffc8 : IntTCA1
    OnlyReti,           // 0xffca : IntSIO1
    OnlyReti,           // 0xffcc : IntTC03
    OnlyReti,           // 0xffce : IntTC02
    OnlyReti,           // 0xffd0 : IntTXD1
    OnlyReti,           // 0xffd2 : IntRXD1
    OnlyReti,           // 0xffd4 : Int5
    OnlyReti,           // 0xffd6 : Int4
    OnlyReti,           // 0xffd8 : Int3 / IntCMP1
    OnlyReti,           // 0xffda : Int2 / IntCMP0 / IntEMG0
    OnlyReti,           // 0xffdc : Int1 / IntCMP2
    OnlyReti,           // 0xffde : Int0 / IntCMP3
    OnlyReti,           // 0xffe0 : IntSBI
    OnlyReti,           // 0xffe2 : IntTCA0
    OnlyReti,           // 0xffe4 : IntTC01
    OnlyReti,           // 0xffe6 : IntTC00
    OnlyReti,           // 0xffe8 : IntRTC
    OnlyReti,           // 0xffea : IntADC
    OnlyReti,           // 0xffec : IntLVD
    OnlyReti,           // 0xffee : IntTXD0
    OnlyReti,           // 0xfff0 : IntRXD0
    OnlyReti,           // 0xfff2 : IntSIO0
    OnlyReti,           // 0xfff4 : IntTBT
    OnlyReti,           // 0xfff6 : IntWUC
    IntWDT,             // 0xfff8 : IntWDT
    (void *)0xffff,     // 0xfffa : Reserved
    IntSWI,             // 0xfffc : IntSWI / INTUNDEF
    iap_boot             // 0xfffe : RESET
};
#pragma section const
/*-------------------  MQ6835ж ---------------------*/
#pragma section code	c_value
void IAP_Init()
{
	// ģʽʼλַ
	// Memory address related
	IAP_Dev_define.norBootAddr = NORMAL_BOOT_ADDRESS;
	
    // Ӷ˿xP
	// BOOT PIN select related
	IAP_Dev_define.ptrBootPinPU = IAP_BOOT_PIN_PU_REG;
	IAP_Dev_define.ptrBootPinPD = IAP_BOOT_PIN_PD_REG;
	IAP_Dev_define.ptrBootPinPRD = IAP_BOOT_PIN_PRD_REG;
	IAP_Dev_define.valBootPinBit = IAP_BOOT_PIN_BIT;
	IAP_Dev_define.valBootDefaultHL = IAP_BOOT_GPIO_DEFAULT_HIGH_LOW;
	IAP_Dev_define.valBootEnableHL =IAP_BOOT_GPIO_ENABLE_HIGH_LOW;
	
	// UART˿xP
	// UART IO select related
	IAP_Dev_define.ptrUartPinCR = IAP_UART_CR_ADR;
    IAP_Dev_define.ptrUartPinFC = IAP_UART_FC_ADR;
    IAP_Dev_define.valUartTxPin = IAP_UART_TX_PIN;
	IAP_Dev_define.valUartRxPin = IAP_UART_RX_PIN;
	IAP_Dev_define.valUATCNG    = IAP_UART_UATCNG_VALUE;
	IAP_Dev_define.valPOFFCR1   = IAP_UART_POFFCR1_VALUE;
	
	// UARTOP
	// UART setting related
	IAP_Dev_define.ptrUartTxRxBUF  = IAP_UART_TDRDBUF_ADR;
	IAP_Dev_define.ptrUartSR    = IAP_UART_SR_ADR;
	IAP_Dev_define.valUartDR    = BAUDRATE_DR_VALUE;
	IAP_Dev_define.valUartCR1   = UART_CR1_VALUE;
	IAP_Dev_define.valUartCR2   = UART_CR2_VALUE;
	IAP_Dev_define.valUartRTSEL = BAUDRATE_RTSEL_VALUE;
	
}
#pragma section code